Bug 36711 - FILOPEN .DOC Wrap around frame positions wrong, horizontal relative to Page, vertical relative to Paragraph (MSO opens wrong self saved DOCX)
Summary: FILOPEN .DOC Wrap around frame positions wrong, horizontal relative to Page, ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: low normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOC-Frames
  Show dependency treegraph
 
Reported: 2011-04-30 07:21 UTC by Greg Smith
Modified: 2021-10-11 03:32 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Word document that nearly imports correctly (89.50 KB, application/msword)
2011-04-30 07:21 UTC, Greg Smith
Details
first attachment, saved as pdf using msWord 2007 (136.58 KB, application/pdf)
2012-09-04 08:32 UTC, sasha.libreoffice
Details
.doc compared MSO LO (211.18 KB, image/png)
2019-10-11 09:17 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Greg Smith 2011-04-30 07:21:41 UTC
Created attachment 46192 [details]
Word document that nearly imports correctly

The attached Word document gets close to being imported correctly. The main fault is that the headings in the margins sometimes do not get the correct positions. This can be corrected by selecting the malpositioned heading and changing the Frame settings Vertical positions from 1.34" Entire page to 0" Margin (the setting that correctly imported heading are set to).

The very first heading has this problem, as do others in the document.

I would very much like to change my company over to using LO from Word, but the treatment of these side-by-side (marginalia) heading is a show-stopper.

There are other faults related to paragraph spacing and text flow.
Comment 1 Björn Michaelsen 2011-12-23 12:02:34 UTC Comment hidden (obsolete)
Comment 2 Greg Smith 2012-01-04 14:28:44 UTC
I have tried the document with the latest beta. The import of this document is now WORSE than before. The side-by-side frame with the header is no longer in the margin, where it was correctly placed before. The headings being on top of each other still remains as a bug.

Perhaps this document could be drawn to Miklos's attention... as according to a recent blog entry for the project, he is looking for import documents.
Comment 3 Florian Reisinger 2012-08-14 13:57:54 UTC Comment hidden (obsolete)
Comment 4 Florian Reisinger 2012-08-14 13:59:13 UTC Comment hidden (obsolete)
Comment 5 Florian Reisinger 2012-08-14 14:03:47 UTC Comment hidden (obsolete)
Comment 6 Florian Reisinger 2012-08-14 14:06:02 UTC Comment hidden (obsolete)
Comment 7 sasha.libreoffice 2012-09-04 08:32:42 UTC
Created attachment 66600 [details]
first attachment, saved as pdf using msWord 2007
Comment 8 sasha.libreoffice 2012-09-04 08:33:29 UTC
reproduced in 3.3.4 and 3.6.1 on Fedora 64 bit
Comment 9 QA Administrators 2015-04-19 03:20:41 UTC Comment hidden (obsolete)
Comment 10 Greg Smith 2015-04-19 11:21:14 UTC
Bug still exists in 4.4.1.2 with Windows 7.

Please not that this is not a NEEDSINFO bug... the submitted document shows the problem and has always done so.
Comment 11 QA Administrators 2016-09-20 09:32:53 UTC Comment hidden (obsolete)
Comment 12 Thomas Lendo 2017-12-04 21:25:02 UTC
Still repro in

Version: 6.1.0.0.alpha0+
Build ID: 2618e4a13d719122e6358d9d96864d1691e56a02
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: group threaded
Comment 13 QA Administrators 2018-12-05 03:48:41 UTC Comment hidden (obsolete)
Comment 14 Timur 2018-12-05 11:45:09 UTC
Repro 6.3+.
Title "FILOPEN import of Word side-by-side heading superimposes headings" changed to the cause "FILOPEN .DOC Wrap around frame positions wrong, horizontal relative to Page, vertical relative to Paragraph".

Note: headings content is wrong in Word 2016.
Comment 15 Timur 2019-10-11 09:17:23 UTC
Created attachment 154927 [details]
.doc compared MSO LO

This .DOC looks wrong in LO 6.4+. 
But if resaved in MSO as DOCX, it opens wrong in MSO (and expectedly in LO).
I decrease a priority.
Comment 16 QA Administrators 2021-10-11 03:32:05 UTC
Dear Greg Smith,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug